# Utils

object Utils(source)

Provides useful generic functions.

## Properties

logger
Link copied to clipboard
val logger: Logger

The logger instance.

## Functions

call
Link copied to clipboard
fun call(accessToken: String, endPoint: String, params: Map<String, Any> = emptyMap(), method: Methods = Methods.POST): CallResponse

Executes an API call.

isSevereLoggable
Link copied to clipboard
fun Logger.isSevereLoggable(): Boolean

Determines if Level.SEVERE logging is enabled.

isValidUrl
Link copied to clipboard
fun String.isValidUrl(): Boolean

Validates a URL.

removeHttp
Link copied to clipboard
fun String.removeHttp(): String

Removes http(s) scheme from string.

toEndPoint
Link copied to clipboard
fun String.toEndPoint(): String

Builds the full API endpoint URL using the Constants.API_BASE_URL.